#pragma once

#include "ChangeStateCommand.h"
#include "../GameBuilderDirector.h"
#include "../../IStateManager.h"

class GameCommand : public ChangeStateCommand {
private:
	std::unique_ptr<GameBuilderDirector> director_;
public:
	GameCommand(IStateManager& manager, std::unique_ptr<GameBuilderDirector> director) : ChangeStateCommand(manager), director_(std::move(director)) {}
};