#pragma once

#include <SFML/Graphics.hpp> 
#include <SFML/Window.hpp> 
#include <SFML/System.hpp>
#include <iostream>

class MyFont {
private:
	sf::Font font_;
	MyFont() {
		try {
			font_.loadFromFile("C:/Users/2/Downloads/GostARegular.ttf");
		}
		catch (...) {
			std::cout << "Unable to load font\n";
			throw;
		}
	}
public:
	static MyFont& Instance() {
		static MyFont instance;
		return instance;
	}
	sf::Font& getFont() { return (*this).font_; }
};