#pragma once

#include"../IState.h"
#include"../IWindowKeeper/IWindowKeeper.h"

class GameState : public IState, IWindowKeeper {
public:
	GameState(IStateManager& manager, sf::VideoMode vm, std::string title) : IState(manager), IWindowKeeper(vm, title) {};
	GameState(GameState&) = delete;
	GameState& operator=(GameState&) = delete;
	bool do_step() override;
private:
	void event_handler() override;
	void update() override;
	void render() override;
};