#pragma once

#include <SFML/Graphics.hpp> 
#include <SFML/Window.hpp> 
#include <SFML/System.hpp>

class IDrawable {
public:
	virtual void draw_into(sf::RenderWindow& window) const = 0;
	virtual ~IDrawable() = default;
};