#pragma once

#include "../Button/Button.h"
#include "../IDrawable.h"
#include "../IStateManager.h"
#include <array>

class Menu : public IDrawable {
private:
	std::array<Button, 4> buttons;
public:
	void process_mouse(sf::Vector2f pos, bool is_pressed);
	void draw_into(sf::RenderWindow& window) const override;
	Menu(IStateManager& manager);
};