#pragma once
#include "ChangeStateCommand.h"
#include "../../ExitState/ExitState.h"

class ExitCommand : public ChangeStateCommand {
public:
	ExitCommand(IStateManager& manager) : ChangeStateCommand(manager) {};
	void execute() const override {
		(*this).manager_.set_next_state(std::make_unique<ExitState>((*this).manager_));
	}
};