#pragma once 

class IStateManager;

class IState {
protected:
	IStateManager& state_manager_;
public:
	IState(IStateManager& manager) : state_manager_(manager) {};
	virtual bool do_step() = 0;
	virtual ~IState() = default;
};