#pragma once 

class IState;

#include "IState.h"
#include <memory>

class IStateManager {
public:
	void virtual set_next_state(std::unique_ptr<IState>&& state) = 0;
	virtual ~IStateManager() = default;
};