#pragma once
#include"../IWindowKeeper/IWindowKeeper.h"
#include"../IState.h"
#include"../IStateManager.h"
#include <iostream>
#include "../Menu/Menu.h"

class SelectState : public IState, IWindowKeeper {
public:
	SelectState(IStateManager& manager, sf::VideoMode vm, std::string title);
	SelectState(SelectState&) = delete;
	SelectState& operator=(SelectState&) = delete;
	bool do_step() override;
	std::unique_ptr<Menu> menu_ = std::make_unique<Menu>(Menu((*this).state_manager_));
private:
	void event_handler() override;
	void update() override { }
	void render() override { }
};